%define eggcups_version 0.0.2

%define dbus_support 0

Summary: Nautilus desktop print icon
Name: desktop-printing
Version: 0.1.10
Release: 15.1
License: GPL
Group: Applications/File
Source0: http://cyberelk.net/tim/data/eggcups-%{eggcups_version}.tar.bz2
Source1: tryprint.pl
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: perl, gnome-utils >= 2.0.2, file
Requires: printman

# Just for the icon:
Requires: redhat-config-printer-gui

# For drag and drop functionality:
Requires: /usr/bin/kprinter

# The desktop file lives here; we just ship a symlink:
Requires: redhat-menus

# Make eggcups desktop file better (bug #81637).
Patch0: eggcups-81637.patch

# Add translation for eggcups
Patch1: eggcups-translations.patch

# Only make one connection to the CUPS daemon
Patch2: eggcups-0.0.2-connect.patch

# Use D-BUS.
Patch3: eggcups-0.0.2-dbus.patch

# Fix tooltip logic
Patch4: eggcups-0.0.2-tooltip.patch

BuildRequires: libgnomeui-devel

%if %{dbus_support}
BuildRequires: dbus-devel >= 0.11
%endif

%description
Desktop-printing generates a desktop icon and code behind it to handle
basic drag-and-drop printing. The attempt is to always manage to 
'do the right thing' for any given file(s) used.

%prep
%setup -q -c

cd eggcups-%{eggcups_version}
%patch0 -p1 -b .81637
%patch1 -p1 -b .translations
%patch2 -p1 -b .translations

%if %{dbus_support}
%patch3 -p2 -b .dbus
%endif

%patch4 -p1 -b .tooltip

# Patch3 touches Makefile.am
aclocal ; automake --add-missing

# Patch0, Patch3 touch configure.in
autoconf

%build
pushd eggcups-%{eggcups_version}
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/

cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}
ln -sf %{_datadir}/desktop-menu-patches/redhat-print.desktop $RPM_BUILD_ROOT%{_datadir}/applications/

pushd eggcups-%{eggcups_version}
%makeinstall
desktop-file-install --vendor redhat                        \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Base                             \
  --add-category System                                     \
  --add-category Application                                \
  eggcups.desktop
popd

%find_lang eggcups

%clean
rm -rf $RPM_BUILD_ROOT


%files -f eggcups.lang
%defattr(-, root, root)
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/eggcups

%changelog
* Fri Jun  6 2003 Tim Waugh <twaugh@redhat.com> 0.1.10-15.1
- Turn off D-BUS support in this branch.

* Thu Jun  5 2003 Than Ngo <than@redhat.com> 0.1.10-15
- fix to use kprinter instead qtcups, which is obsolete

* Thu Jun  5 2003 Tim Powers <timp@redhat.com> 0.1.10-14
- don't require qtcups

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri May 16 2003 Tim Waugh <twaugh@redhat.com> 0.1.10-12
- Rebuild for dbus-0.11 API changes.

* Fri May  1 2003 Tim Waugh <twaugh@redhat.com> 0.1.10-11
- eggcups: fix tooltip logic.

* Sat Apr 12 2003 Havoc Pennington <hp@redhat.com> 0.1.10-10
- rebuild for dbus 0.9
- tweak dbus patch to use dbus_message_name_is(), 
  also DBUS_ERROR_DISCONNECT should not need detecting
  (you always get the DBUS_MESSAGE_LOCAL_DISCONNECT on disconnect)

* Fri Apr 11 2003 Tim Waugh <twaugh@redhat.com> 0.1.10-9
- eggcups: more resilience against the message bus going away.

* Thu Apr 10 2003 Tim Waugh <twaugh@redhat.com> 0.1.10-8
- eggcups: get on D-BUS.

* Wed Apr  9 2003 Tim Waugh <twaugh@redhat.com> 0.1.10-7
- eggcups: only make one connection to the CUPS daemon.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 15 2003 Tim Waugh <twaugh@redhat.com>
- Grok PDF.

* Sat Jan 12 2003 Tim Waugh <twaugh@redhat.com> 0.1.10-5
- Make eggcups desktop file better (bug #81637).

* Thu Jan  9 2003 Tim Waugh <twaugh@redhat.com> 0.1.10-4
- Desktop file moved to redhat-menus.

* Tue Jan  7 2003 Tim Waugh <twaugh@redhat.com> 0.1.10-3
- Add Italian translation (bug #81275).
- Requires qtcups.

* Tue Jan  7 2003 Tim Waugh <twaugh@redhat.com> 0.1.10-2
- Add translations to desktop file (bug #81180).

* Sun Dec  8 2002 Tim Waugh <twaugh@redhat.com> 0.1.10-1
- Eggcups now has a menu, a tooltip, and a desktop menu entry.

* Thu Dec  5 2002 Tim Waugh <twaugh@redhat.com> 0.1.9-2
- Fix icon.

* Wed Dec  4 2002 Tim Waugh <twaugh@redhat.com> 0.1.9-1
- New name for the eggtray applet.

* Wed Dec  4 2002 Tim Waugh <twaugh@redhat.com> 0.1.8-2
- Fix a memory leak in lpegg.
- s/kdeartwork/redhat-artwork/ (desktop icon).

* Wed Dec  4 2002 Tim Waugh <twaugh@redhat.com> 0.1.8-1
- Add lpegg.

* Tue Dec  3 2002 Tim Waugh <twaugh@redhat.com> 0.1.7-1
- Don't warn before running the queue manager.
- Handle filenames with spaces in.

* Mon Dec  2 2002 Tim Waugh <twaugh@redhat.com> 0.1.6-1
- Run the print queue manager instead of the configuration tool.

* Tue Nov 12 2002 Tim Waugh <twaugh@redhat.com> 0.1.5-5
- Remove tmpfile vulnerability from debug logging.
- s/printconf/redhat-config-printer-gui/.
- Use redhat-config-printer-gui in preference to CUPS HTTP configuration.

* Mon Nov 11 2002 Tim Waugh <twaugh@redhat.com> 0.1.5-4
- Untarballify.
- Use %%{_bindir}, %%{_sysconfdir}.
- s/Copyright:/License:/.
- Fix group.

* Mon Sep 23 2002 Norm Murray <nmurray@redhat.com>
- big updates to the tryprint.pl script to save file sniff info and 
  to handle a double-click by bringing up a printer configuration tool

* Wed Aug 28 2002 Norm Murray <nmurray@redhat.com>
- small updates

* Fri Aug 23 2002 Norm Murray <nmurray@redhat.com>
- first try
